- Home
- API Enriched
- Tenant And Identity
- scim
- PATCH group based on ID.
PATCH group based on ID.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/scim/namespaces/system/v2/Groups/example';const options = { method: 'PATCH', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"Operations":[{"op":"example","path":"example","value":{}}],"id":"example","schemas":["example"]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/scim/namespaces/system/v2/Groups/example \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "Operations": [ { "op": "example", "path": "example", "value": {} } ], "id": "example", "schemas": [ "example" ] }'PATCH group based on the given ID.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”ID x-required unique ID for the group.
Request Bodyrequired
Section titled “Request Bodyrequired”PATCH operation to modify group.
object
Operations to modify or DELETE group. Required: YES.
PatchOperation is the PATCH operation where user can be updated replaced or remove.. Supported op types are add, remove, replace remove is remove a specific entry.
object
Op “add”, “replace”, “remove”, “DELETE”
Path to the field where the change needs to happen.
Value to be used for modifying the object. In case of DELETE nothing needs to be specified.
object
Unique ID for the group. Required: YES.
Schemas as per scim spec. Required: YES.
Examplegenerated
{ "Operations": [ { "op": "example", "path": "example", "value": {} } ], "id": "example", "schemas": [ "example" ]}Responses
Section titled “Responses”A successful response.
Group.
object
Display name for the group.
External ID for the group.
Unique ID for the group.
Users with unique ID.
GroupMembers.
object
URL of the users or groups.
Unique ID of the users or groups.
object
Create date. Required: YES.
Last modification date and time. Required: YES.
[x-required] location for resource.
Type of resource. Required: YES.
Version for resource type. Required: YES.
Display name for the group.
Schemas per scim spec.
Examplegenerated
{ "displayName": "example", "externalId": "example", "id": "example", "members": [ { "ref": "example", "value": "example" } ], "meta": { "created": "example", "lastModified": "example", "location": "example", "resourceType": "example", "version": "example" }, "name": "example", "schemas": [ "example" ]}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example